"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.onRouteChangeAnalytics = exports.initAnalytics = void 0;
var adobe_analytics_1 = require("./adobe.analytics");
var facebook_analytics_1 = require("./facebook.analytics");
var google_analytics_1 = require("./google.analytics");
var linkedin_analytics_1 = require("./linkedin.analytics");
var twitter_analytics_1 = require("./twitter.analytics");
var isInitialized = false;
var isGoogleDefined = false;
exports.initAnalytics = function (options) {
    var defaultOptions = {
        route: window.location.href,
        google: null,
        adobe: null,
        facebook: null,
        twitter: null,
        consentCookie: 'consent',
        language: 'en-us',
        title: document.title
    };
    var opts = __assign(__assign({}, defaultOptions), options);
    var route = opts.route, google = opts.google, adobe = opts.adobe, facebook = opts.facebook, linkedin = opts.linkedin, twitter = opts.twitter, consentCookie = opts.consentCookie, language = opts.language, title = opts.title;
    if (isInitialized) {
        throw new Error('Trying to initialize Analytics more than one.');
    }
    isInitialized = true;
    if (google) {
        isGoogleDefined = true;
        google_analytics_1.initGoogleAnalytics(google);
    }
    if (adobe) {
        adobe_analytics_1.initAdobeAnalytics(adobe, consentCookie, language, title);
    }
    if (facebook) {
        facebook_analytics_1.initFacebookAnalytics(facebook);
    }
    if (linkedin) {
        linkedin_analytics_1.initLinkedinAnalytics(linkedin);
    }
    if (twitter) {
        twitter_analytics_1.initTwitterAnalytics(twitter);
    }
    exports.onRouteChangeAnalytics(route);
};
exports.onRouteChangeAnalytics = function (route) {
    if (isGoogleDefined) {
        google_analytics_1.onRouteChangeGoogleAnalytics(route);
    }
};
exports.default = {
    initAnalytics: exports.initAnalytics,
    onRouteChangeAnalytics: exports.onRouteChangeAnalytics
};
//# sourceMappingURL=index.js.map